import { defineComponent, toRefs, openBlock, createElementBlock, createElementVNode, createVNode, unref, withCtx, createTextVNode } from "vue";
import _sfc_main$1 from "../../../NComponents/configCommon/refConfig.mjs";
import "./index.vue_vue_type_style_index_0_scoped_true_lang.mjs";
import _export_sfc from "../../../../_virtual/plugin-vue_export-helper.mjs";
const _hoisted_1 = { class: "huiyi" };
const _hoisted_2 = { class: "hy_num" };
const _hoisted_3 = { class: "nume" };
const _hoisted_4 = { class: "hy_name" };
const __default__ = defineComponent({ name: "EComponent06" });
const _sfc_main = /* @__PURE__ */ defineComponent({
  ...__default__,
  props: {
    chartConfig: {
      type: Object,
      required: true
    }
  },
  setup(__props) {
    const props = __props;
    const { valueConfig, imageConfig, unitConfig, titleConfig, bgImageConfig } = toRefs(props.chartConfig.option);
    return (_ctx, _cache) => {
      return openBlock(), createElementBlock("div", _hoisted_1, [
        createElementVNode("div", null, [
          createElementVNode("div", _hoisted_2, [
            createVNode(_sfc_main$1, {
              config: unref(bgImageConfig),
              type: "bgImg"
            }, {
              default: withCtx(() => [
                createElementVNode("div", _hoisted_3, [
                  createVNode(_sfc_main$1, {
                    config: unref(valueConfig),
                    type: "number"
                  }, null, 8, ["config"])
                ])
              ]),
              _: 1
            }, 8, ["config"])
          ]),
          createElementVNode("div", _hoisted_4, [
            createVNode(_sfc_main$1, {
              config: unref(titleConfig),
              type: "text"
            }, null, 8, ["config"]),
            createTextVNode(),
            createVNode(_sfc_main$1, {
              config: unref(unitConfig),
              type: "text"
            }, null, 8, ["config"])
          ])
        ])
      ]);
    };
  }
});
var _EComponent06 = /* @__PURE__ */ _export_sfc(_sfc_main, [["__scopeId", "data-v-1d999fce"]]);
export { _EComponent06 as default };
